/**************************************************************************
 Silvestris Cyclotis - Intermediate real-time translation memory server
 
 Copyright (C) 2015 Silvestris project (http://www.silvestris-lab.org/)
 
 This file is only a stub to enable compilation of Cyclotis plugin.
 
 You may not use this work except in compliance with the Licence.
 You may obtain a copy of the Licence at: L<http://ec.europa.eu/idabc/eupl>

 Unless required by applicable law or agreed to in writing, software distributed under the Licence is distributed on an "AS IS" basis,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the Licence for the specific language governing permissions and limitations under the Licence. 
 **************************************************************************/

package org.omegat.core.events;

/**
 * Listener interface for project status change events.
 *
 * @author Alex Buloichik (alex73mail@gmail.com)
 */
public interface IProjectEventListener {
    /** Event type which happen for project. */
    enum PROJECT_CHANGE_TYPE {
        CLOSE, COMPILE, CREATE, LOAD, SAVE, MODIFIED
    }

    /**
     * This method called when project status changed, i.e.
     * new/open/save/close/compile.
     */
    void onProjectChanged(PROJECT_CHANGE_TYPE eventType);
}
